## quotas-config 1.0.131025

=== debian/changelog ===
quotas-config (1.0.131025) stable; urgency=low

  * Added some extra filtering for usernames obtained out of the home
    directory names; usernames should not contain the character "_".

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Fri, 25 Oct 2013 19:30:40 -0200

quotas-config (1.0.120927) stable; urgency=low

  * Fixed the tool myrror-user to account for the possibility of the new
    UUID-based device identification format in the fstab file.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Thu, 27 Sep 2012 11:37:24 -0300

quotas-config (1.0.120925) stable; urgency=low

  * Fixed some of the tools to account for the possibility of the new
    UUID-based device identification format in the fstab file.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Tue, 25 Sep 2012 16:23:48 -0300

quotas-config (1.0.110121) stable; urgency=low

  * Updated a couple of tools (multi-fix-quotas and multi-update-quotas)
    in order to add the capability to handle both normal quotas and
    journaled quotas (jquotas); updated the documentation accordingly;
    also changed a few tools in order to fix a bug with the use of the
    "cleanexit" macro: edit-quotas, edit-fs-quotas, fix-quotas,
    fix-bckp-quotas, update-quotas and update-bckp-quotas.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Fri, 21 Jan 2011 01:17:46 -0200

quotas-config (1.0.110120) stable; urgency=low

  * Updated several tools in order to add the capability to handle
    multiple home filesystems and the corresponding backup home
    filesystems on a single machine; the tools modified were: myrror-user,
    clean-user-backups, edit-quotas, edit-fs-quotas, fix-bckp-quotas and
    update-bckp-quotas; also made a small update of the documentation.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Thu, 20 Jan 2011 17:15:46 -0200

quotas-config (1.0.110118) stable; urgency=low

  * Updated the myrror-user utility: added the capability to handle
    multiple home filesystems on a single machine.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Tue, 18 Jan 2011 15:36:51 -0200

quotas-config (1.0.101125) stable; urgency=low

  * Updated the myrror-user utility: fixed a small bug in one of the error
    messages; added the capability to handle a backup home filesystem on a
    remote machine, mounted via NFS by the automounter.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Thu, 25 Nov 2010 14:20:40 -0200

quotas-config (1.0.100518) stable; urgency=low

  * Added the utility myrror-user, to automatically keep backups on disk
    of the home directories of users.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Tue, 18 May 2010 18:28:06 -0300

quotas-config (1.0.091211) stable; urgency=low

  * Fixed a bug in the tool clean-backup, which prevented it from dealing
    with a backup directory which is in fact a symlink to a directory.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Fri, 11 Dec 2009 18:13:39 -0200

quotas-config (1.0.091008) stable; urgency=low

  * Included the tool clean-user-backups, and updated the documentation.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Thu, 08 Oct 2009 11:00:55 -0300

quotas-config (1.0.080409) stable; urgency=low

  * Updated the package to the Etch Debian standards, and started
    distributing it as an "all" architecture package.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Wed,  9 Apr 2008 02:03:20 -0300

quotas-config (1.0.070904) stable; urgency=low

  * Included the user tool clean-backup, and updated the documentation.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Tue,  4 Sep 2007 20:26:08 -0300

quotas-config (1.0.070413) stable; urgency=low

  * Improved the error handling of the tools, so that they will not leave
    any stray lock files in the system, and so that they will be able to
    deal gracefully with non-existing users or groups found in the text
    quota files.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Fri, 13 Apr 2007 18:20:57 -0300

quotas-config (1.0.061129) stable; urgency=low

  * Fixed a few small errors in the comment lines of some programs.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Wed, 29 Nov 2006 15:24:16 -0200

quotas-config (1.0.061125) stable; urgency=low

  * Fixed a few small errors in the man pages.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sat, 25 Nov 2006 03:26:30 -0200

quotas-config (0.0.20060829) stable; urgency=low

  * Fixed a silly bug in the cron.daily crontab file.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Tue, 29 Aug 2006 08:48:55 -0300

quotas-config (0.0.20060812) stable; urgency=low

  * Added a more complete set of examples of quota data files.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sat, 12 Aug 2006 12:20:11 -0300

quotas-config (0.0.20060811) stable; urgency=low

  * Moved the example quota data files to a subdirectory, in order to
    avoid problems with the tool edit-quotas. Adjusted the manual pages
    accordingly.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Fri, 11 Aug 2006 23:11:47 -0300

quotas-config (0.0.20060810) stable; urgency=low

  * Initial Release.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Thu, 10 Aug 2006 16:53:36 -0300

Local variables:
mode: debian-changelog
End:

## quotas-config 1.0.160917

=== debian/changelog ===
quotas-config (1.0.160917) UNRELEASED; urgency=medium

  * Added the option -l to the invocation of the command quota, in order
    to avoid probing NFS mounts for quotas.

 -- Jorge L. deLyra <delyra@fmail.if.usp.br>  Sat, 17 Sep 2016 15:16:57 -0300

=== debian/rules ===
#!/usr/bin/make -f
# JLdL 09Apr08.
#
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/quotas-config.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/quotas-config


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## quotas-config 1.0.171226

=== Makefile ===
# -*-makefile-*-
# JLdL 18May10.
#
# This makefile closes the "quotas-config" package, as an "all" arch
# _ package; the main part of its structure is meant to install
# _ everything within the debian/package subdirectory.

# Edited for Debian GNU/Linux.
DESTDIR = 

# The name of the package this makefile is meant for.
NAME = quotas-config

# Where the configuration file goes.
ETC = $(DESTDIR)/etc

# Where the cron-job file goes.
CRON = $(DESTDIR)/etc/cron.daily

# Where the cron-job snippet file goes.
SNIP = $(DESTDIR)/etc/cron.d

# Where the quota data files go.
DAT = $(DESTDIR)/etc/quotas

# Where the user executables go.
CBIN = $(DESTDIR)/usr/bin

# Where the root executables go.
SBIN = $(DESTDIR)/usr/sbin

# Where the server library goes.
SLIB = $(DESTDIR)/usr/lib/$(NAME)

# Where the volatile snap and log files go.
VLIB = $(DESTDIR)/var/lib/$(NAME)

# Where the man pages go.
MANS = $(DESTDIR)/usr/share/man

# Where the additional documentation goes.
DOCS = $(DESTDIR)/usr/share/doc/$(NAME)

# The configuration file.
CONFFILES = \
quotas.conf

# The cron-job file.
CRONFILES = \
cron.daily/quotas-config

# The cron-job snippet file.
CRONSNIPS = \
cron.d/quotas-config

# The example quota data files.
QUOTFILES = \
examples/tmp.user \
examples/tmp.group \
examples/var.user \
examples/var.group \
examples/temp.user \
examples/temp.group \
examples/home.user \
examples/home.group \
examples/bckp_home.user \
examples/bckp_home.group

# The user executables.
CBINFILES = \
clean-backup \
clean-backup-by-subdir

# The root executables.
SBINFILES = \
edit-fs-quotas \
edit-quotas \
fix-bckp-quotas \
fix-quotas \
update-bckp-quotas \
update-quotas \
multi-fix-quotas \
multi-update-quotas \
clean-user-backups

# The library files.
SLIBFILES = \
clean-backup.sub \
lock \
myrror-user \
myrror-user.local \
myrror-user-do-the-backup.sub \
myrror-user-lock-the-account.sub \
myrror-user-lock-the-account.local \
myrror-user-lock.en \
myrror-user-lock.pt \
myrror-user-mail-over-quota.sub \
myrror-user-mail.en.1 \
myrror-user-mail.pt.1 \
myrror-user-mail.en.2 \
myrror-user-mail.pt.2

# The user man page.
MAN1FILES = \
clean-backup.1.gz

# The file man pages.
MAN5FILES = \
quotas.conf.5.gz

# The description man pages.
MAN7FILES = \
quotas-config.7.gz

# The root man pages.
MAN8FILES = \
edit-fs-quotas.8.gz \
edit-quotas.8.gz \
fix-bckp-quotas.8.gz \
fix-quotas.8.gz \
update-bckp-quotas.8.gz \
update-quotas.8.gz \
multi-fix-quotas.8.gz \
multi-update-quotas.8.gz \
clean-user-backups.8.gz

# Extra documentation files and directories.
DOCSFILES = \
debian/README.Debian \
README.clean-backup \
README.myrror-user

# The date is used as a version number.
#THEDATE = $(shell date +%Y%m%d)
THEDATE = $(shell date +%y%m%d)

# Define the host from which the package is to be distributed.
DHOST = fmasft

# Define the distribution site within the host.
DSITE = /sft/debian-cluster

# Define the distribution directory within the site.
DIR = $(DSITE)/dists/stable/main

# Define the location of the package just compiled.
LOC = /local/src

# Do not do anything by default, just print a help message.
default:
	@echo "Nothing to do: no actual compilation is needed."
	@echo "The most useful targets are:"
	@echo "  'package' to make the package;"
	@echo "  'distribute' to install on the distribution site;"
	@echo "  'veryclean' to really clean it all up."
	@echo "Other internal targets are:"
	@echo "  'clean' to clean this directory;"
	@echo "  'cleandebfiles' to remove the Debian files;"
	@echo "  'cleandebpacks' to remove the Debian package(s)."

# Install files on the server.
install: $(MAN1FILES) $(MAN5FILES) $(MAN7FILES) $(MAN8FILES)
	@echo Installing the configuration file in $(ETC)/
	@mkdir -p $(ETC)/
	@cp -pf $(CONFFILES) $(ETC)/
	@echo Installing the example quota data files in $(DAT)/examples/
	@mkdir -p $(DAT)/examples/
	@cp -pf $(QUOTFILES) $(DAT)/examples/
	@echo Installing the cron-job file in $(CRON)/
	@mkdir -p $(CRON)/
	@cp -pf $(CRONFILES) $(CRON)/
	@echo Installing the cron-job snippet file in $(SNIP)/
	@mkdir -p $(SNIP)/
	@cp -pf $(CRONSNIPS) $(SNIP)/
	@echo Installing user executables in $(CBIN)/
	@mkdir -p $(CBIN)/
	@cp -dpf $(CBINFILES) $(CBIN)/
	@echo Installing root executables in $(SBIN)/
	@mkdir -p $(SBIN)/
	@cp -pf $(SBINFILES) $(SBIN)/
	@echo Installing the library files in $(SLIB)/
	@mkdir -p $(SLIB)/
	@cp -pf $(SLIBFILES) $(SLIB)/
	@echo Installing man pages in $(MANS)/man1/
	@mkdir -p $(MANS)/man1/
	@cp -pf $(MAN1FILES) $(MANS)/man1/
	@echo Installing man pages in $(MANS)/man5/
	@mkdir -p $(MANS)/man5/
	@cp -pf $(MAN5FILES) $(MANS)/man5/
	@echo Installing man pages in $(MANS)/man7/
	@mkdir -p $(MANS)/man7/
	@cp -pf $(MAN7FILES) $(MANS)/man7/
	@echo Installing man pages in $(MANS)/man8/
	@mkdir -p $(MANS)/man8/
	@cp -pf $(MAN8FILES) $(MANS)/man8/
	@echo Installing additional documentation in $(DOCS)/
	@mkdir -p $(DOCS)/
	@cp -af $(DOCSFILES) $(DOCS)/
	@echo Creating the snap and log file directory $(VLIB)/
	@mkdir -p $(VLIB)/

# Make the package.
package:
	dpkg-buildpackage -kE92A1F5C

# Install the package in the distribution site.
distribute:
# Fix the ownership of the files.
	chown root:root $(LOC)/$(NAME)_*.dsc
	chown root:root $(LOC)/$(NAME)_*.tar.gz
	chown root:root $(LOC)/$(NAME)_*.deb
# Copy remotely and backwards because of authorization issues.
	ssh $(DHOST) "cp -pf $(LOC)/$(NAME)_*.dsc $(DIR)/source/"
	ssh $(DHOST) "cp -pf $(LOC)/$(NAME)_*.tar.gz $(DIR)/source/"
	ssh $(DHOST) "cp -pf $(LOC)/$(NAME)_*_all.deb $(DIR)/binary-all/"
# Refresh the site remotely because of authorization issues.
	ssh $(DHOST) "cd $(DSITE) ; ./MakePackagesFiles"

# Clean up this directory.
clean:
	rm -f *~ *.gz

# Clean up the Debian package files.
cleandebfiles:
	rm -f build-stamp configure-stamp
	rm -rf debian/$(NAME)/

# Clean the packages and related files.
cleandebpacks:
	rm -f ../$(NAME)_*.dsc
	rm -f ../$(NAME)_*.tar.gz
	rm -f ../$(NAME)_*.changes
	rm -f ../$(NAME)_*_all.deb

# Really clean it all up.
veryclean: clean cleandebfiles cleandebpacks

# A pattern rule to make compressed versions of files.
%.gz: %
	@echo Compressing file $<
	@cat $< | sed -e 's|YYYYMMDD|$(THEDATE)|g' | gzip -c9 - > $@

=== debian/changelog ===
quotas-config (1.0.171226) UNRELEASED; urgency=medium

  * Added the option -l to the invocation of the command quota, in order
    to avoid probing NFS mounts for quotas.
  * Added cache2 to excluded cache directories when doit backups.

 -- Jorge L. deLyra <delyra@fmail.if.usp.br>  Tue, 26 Dec 2017 13:01:20 -0200

=== debian/control ===
Source: quotas-config
Section: admin
Priority: optional
Maintainer: Jorge L. deLyra <delyra@fma.if.usp.br>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.2

Package: quotas-config
Architecture: all
Depends: tcsh, quota, quotatool
Description: Tools for configuring disk quotas by means of text files
 This is a set of tools for configuring and maintaining disk quotas,
 which is based on a set of ASCII text configuration files, rather
 than on just the usual binary files at the root of each filesystem;
 it can be used on standalone servers and in clusters of servers that
 operate together as a single system, from the point of view of the
 users, thus allowing for centralized configuration of disk quotas.
 .
 Because the disk quotas associated to each user on each filesystem
 are recorded and kept in text files, they are easier to manipulate
 and more likely to survive a system crash, which sometimes causes
 corruption of the binary quota files and loss of all the disk quota
 configuration data. The tools allow for easy reconstruction of the
 binary quota files from the text quota files.
